queue.h File Reference

Classes for an unlimited queue to store bytes. More...

Go to the source code of this file.

## Classes

class | ByteQueue
| Data structure used to store byte strings. More...
class | ByteQueue::Walker
| A ByteQueue iterator. More...
class | LazyPutter
| use this to make sure LazyPut is finalized in event of exception More...
class | LazyPutterModifiable
| like LazyPutter, but does a LazyPutModifiable instead More...

## Functions

template<>
void | swap (::ByteQueue &a, ::ByteQueue &b)

## Detailed Description

Classes for an unlimited queue to store bytes.

Definition in file queue.h.